import 'package:json_annotation/json_annotation.dart';
import 'package:square_connect/square_connect.dart';

part 'retrieve_order.g.dart';

@JsonSerializable()
class RetrieveOrderResponse extends SquareResponse {
  const RetrieveOrderResponse({
    required this.order,
    List<SquareError>? errors,
  }) : super(errors: errors);

  /// The requested order.
  final Order order;

  @override
  List<Object?> get props => [order, errors];
}
